iptables (1.8.5-3ubuntu2.20.10.2) groovy; urgency=medium

  * Fix regression in ebtables when renaming a chain (LP: #1904192)
    - d/p/9004-ebtables-fix-for-broken-chain-rename.patch: Backport patch
      from upstream to fix improper use of errno to indicate failure when
      renaming an existing chain.

 -- Alex Murray <alex.murray@canonical.com>  Wed, 18 Nov 2020 11:40:30 +1030

iptables (1.8.5-3ubuntu2.20.10.1) groovy; urgency=medium

  * Fix regression when configuring basechain policy (LP: #1898547)
    - d/p/9003-iptables_nft_fix_basechain_policy_configuration.patch: Backport
      patch from upstream to fix basechain policy configuration when it
      wasn't explicitly set.

 -- Alex Murray <alex.murray@canonical.com>  Tue, 03 Nov 2020 11:57:59 +1030

iptables (1.8.5-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1894195). Remaining changes:
    - debian/control: correct Breaks/Replaces for ipt_kernel_headers.h
      move from libiptc-dev to libip4tc-dev
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - Demote nftables from Recommends to Suggests for groovy.
    - autopkgtest: allow-stderr on command9 to fix regression

 -- Alex Murray <alex.murray@canonical.com>  Mon, 21 Sep 2020 17:21:46 +0930

iptables (1.8.5-3) unstable; urgency=medium

  * [2d587e5] src:iptables: bump build-dep version on libnftnl to 1.1.6

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 25 Aug 2020 11:56:55 +0200

iptables (1.8.5-2) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [d90516d] d/control: modify breaks and replaces fields (Closes: #949576)
  * [4754a45] d/not-installed: arch independ files
  * [780330f] d/tests/control: Run iptables-legacy-* tests explicitly

  [ Arturo Borrero Gonzalez ]
  * [6fb6557] d/patches: add 0000-upstream-fix-xtables-translate.patch
    (Closes: #962724)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 24 Jun 2020 10:56:19 +0200

iptables (1.8.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [c3deeb3] Wrap long lines in changelog entries: 1.8.2-1, 1.8.0-1~exp1,
  1.6.0-1.
  * [214468e] Update standards version to 4.5.0, no changes needed.

  [ Arturo Borrero Gonzalez ]
  * [eb1d7c5] New upstream version 1.8.5 (Closes: #950535)
  * [7a119db] d/patches: drop all patches
  * [ec63c87] libxtables12.symbols: add new symbol
  * [4056ce6] iptables: bump debhelper-compat to 13

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 04 Jun 2020 13:33:22 +0200

iptables (1.8.4-3ubuntu3) groovy; urgency=medium

  * Swap alternative priority and prefer nftables backend over legacy
    (LP: #1887186)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 10 Jul 2020 16:32:47 +0200

iptables (1.8.4-3ubuntu2) focal; urgency=medium

  * debian/control: correct Breaks/Replaces for ipt_kernel_headers.h
    move from libiptc-dev to libip4tc-dev (LP: #1865055)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 28 Feb 2020 14:16:32 +0000

iptables (1.8.4-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - Swap alternative priority around so we prefer legacy.
    - Demote nftables from Recommends to Suggests for focal.
    - autopkgtest: allow-stderr on command9 to fix regression

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 13 Feb 2020 22:23:25 +0000

iptables (1.8.4-3) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [d87a98a] libiptc-dev: add Breaks and Replaces fields (Closes: #949576)

  [ Arturo Borrero Gonzalez ]
  * [c66f003] d/patches: add 0000-upstream-xtables-restore-empty-lines.patch
    (Closes: #949518, #951102)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 13 Feb 2020 12:20:19 +0100

iptables (1.8.4-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - Swap alternative priority around so we prefer legacy.
    - Demote nftables from Recommends to Suggests for focal.
    - autopkgtest: allow-stderr on command9 to fix regression
  * Dropped changes, included upstream:
    - d/p/lp-1840633-nft-exit-in-case-we-can-t-fetch-current-genid.patch: avoid
      busy loop if cache can't be created

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 11:16:57 -0800

iptables (1.8.4-2) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [740ac01] d/control: refresh homepage (Closes: #946253)
  * [983ab27] d/control: drop dependencies upon libiptc0 (Closes: #946202)

  [ Debian Janitor ]
  * [7d57346] Set debhelper-compat version in Build-Depends.
  * [5d19fc0] debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * [18f2cea] Move transitional packages libiptc0 to oldlibs/optional per
    policy 4.0.1.
  * [d7e5843] Set upstream metadata fields: Repository.
  * [d3d04fb] Drop unnecessary dependency on dh-autoreconf.
  * [13ed20f] Use canonical URL in Vcs-Git.
  * [6285405] Update standards version to 4.4.1, no changes needed.

  [ Alberto Molina Coballes ]
  * [d7ad217] d/control: add dependency upon netbase (Closes: #946932)

  [ Debian Janitor ]
  * [249fc99] Refer to common license file for Artistic.

  [ Arturo Borrero Gonzalez ]
  * [3892140] src:iptables: add Alberto Molina to Uploaders
  * [d36d29f] d/patches: add 0000-upstream-fix-restore-noflush.patch
    (Closes: #946289)
  * [3a66221] libiptc-dev: reintroduce package with shared pkg-config file
    (Closes: #947176, #946202)
  * [474f1aa] iptables: clarify binary utilities names (Closes: #946258)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 20 Jan 2020 14:20:19 +0100

iptables (1.8.4-1) unstable; urgency=medium

  * [c59797a] iptables: no longer Priority: important
  * [f8bb861] src:iptables: drop iptables-dev transitional package
    (Closes: #939243)
  * [4efb6c3] iptables: add Suggest: firewalld
  * [290749d] New upstream version 1.8.4
  * [7e5627f] d/patches: refresh 0301-install_iptables_apply.patch
  * [e31ef86] d/patches: include 0000-upstream-bump-build-dep-libnftnl.patch
  * [d7ebb42] src:iptables: drop libiptc0, libiptc-dev packages
  * [8347150] src:iptables: bump debhelper compat to 12
  * [5b0b408] src:iptables: drop /sbin -> /usr/sbin compat symlinks

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 04 Dec 2019 11:53:40 +0100

iptables (1.8.3-2ubuntu5) eoan; urgency=medium

  * Demote nftables from Recommends to Suggests for eoan, in keeping with
    the changes for LP #1843468.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Sep 2019 12:36:12 -0700

iptables (1.8.3-2ubuntu4) eoan; urgency=medium

  * autopkgtest: allow-stderr on command9 to fix regression

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 16 Sep 2019 13:48:52 +0200

iptables (1.8.3-2ubuntu3) eoan; urgency=medium

  * Swap alternative priority around so we prefer legacy (LP: #1843468)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Sep 2019 16:02:54 +0200

iptables (1.8.3-2ubuntu2) eoan; urgency=medium

  * d/p/lp-1840633-nft-exit-in-case-we-can-t-fetch-current-genid.patch: avoid
    busy loop if cache can't be created (LP: #1840633)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 21 Aug 2019 14:04:49 +0200

iptables (1.8.3-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 23:59:20 +0200

iptables (1.8.3-2) unstable; urgency=medium

  * [1cfe029] d/control: bump std-version to 4.4.0

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 10 Jul 2019 10:48:04 +0200

iptables (1.8.3-1~exp1) experimental; urgency=medium

  * [89c92f0] New upstream version 1.8.3 (Closes: #929527)
  * [7c34195] iptables: bump dependency on libnftnl to >= 1.1.3
  * [ab1a5b7] d/patches: refresh 0104-lintian_hyphens.patch
  * [3771b10] d/patches: refresh 0201-660748-iptables_apply_man.patch
  * [97d6c1a] d/patches: refresh 0301-install_iptables_apply.patch
  * [dd6d2e6] d/patches: drop format-security_fixes_in_libip[6]t_icmp.patch
  * [6f0e55f] d/patches: drop bug_922973.patch
  * [5d1950b] libip6tc: bump SONAME from 0 to 2
  * [cf5f265] libip4tc: bump SONAME from 0 to 2

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 28 May 2019 12:34:08 +0200

iptables (1.8.2-4) unstable; urgency=medium

  * [5053b60] d/rules: reintroduce V=1
  * [80bea53] d/patches: add patch cherry picked from upstream (Closes: #922973)
  * [a9abea9] src:iptables: add salsa CI integration

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 01 Mar 2019 13:28:35 +0100

iptables (1.8.2-3) unstable; urgency=medium

  * [b58e329] d/control: bump std-version to 4.3.0
  * [998fa1e] d/control: add pointers to nftables
  * [4adb176] d/iptables.links: add manpage links
  * [45c7e9c] d/changelog: cleanup trailing whitespaces
  * [eda1593] d/: run wrap-and-sort

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 28 Dec 2018 12:57:19 +0100

iptables (1.8.2-2) unstable; urgency=medium

  * [fb09c23] iptables: fixes for /sbin symlinks (Closes: #913811)
  * [60b3924] d/t/control: disable tests for ip[6]tables-restore-translate
  * [8f93912] iptables.prerm: change cleanup order

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 20 Nov 2018 10:54:37 +0100

iptables (1.8.2-1) unstable; urgency=medium

  * This upstream release closes several bugs:
    Closes: #913742
    Closes: #913114
    Closes: #816087
    Closes: #913088
    Closes: #912607
    Closes: #912610
  * [0309474] New upstream version 1.8.2
  * [5d3a638] d/t/control: replace compat names with nft ones
  * [31d2d6e] d/NEWS: fix typos (Closes: #912981)
  * [b24cf92] iptables: don't ship paths served by update-alternatives
    (Closes: #911899)
  * [f5ec47b] d/patches: cherry-pick
    format-security_fixes_in_libip[6]t_icmp.patch
  * [2017f99] d/libxtables12.symbols: add new symbols

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 15 Nov 2018 12:33:36 +0100

iptables (1.8.1-2) unstable; urgency=medium

  * [5edbd6e] iptables: introduce /sbin compatibility symlinks (Closes: #911777)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 25 Oct 2018 13:27:15 +0200

iptables (1.8.1-1) unstable; urgency=medium

  * [85fe398] d/iptables.postinst: fix typo in update-alternative command.
    Thanks to Pedretti Fabio <pedretti.fabio@gmail.com>
  * [698f251] d/README.Debian: more compat renames.
    Thanks to Pedretti Fabio <pedretti.fabio@gmail.com>
  * [dab1e98] New upstream version 1.8.1
  * [02ed7af] d/patches: drop 0000-arptables-ebtables-nft.patch
  * [d7deb51] d/patches: refresh 0401-580941-iptables_apply_update.patch
  * [1ed5805] d/libxtables12.symbols: add new symbols
  * [b7d2530] d/README.Debian: refresh paths
  * [650f9cd] d/iptables.postinst: include new alternatives for {arp,eb}tables
  * [da869a7] d/: include NEWS file

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 24 Oct 2018 14:17:46 +0200

iptables (1.8.0-1~exp1) experimental; urgency=medium

  * [5c9fe9f] d/t/control: allow stderr in several tests
  * [031303e] iptables: introduce alternatives for /sbin/iptables and friends
  * [e9b2bc3] d/control: adjust package relationship between alternatives
  * [c958b71] d/README.Debian: refresh file
  * [cbc1b5a] iptables-nftables-compat: update manpages
  * [5cda5e1] d/README.source: drop file
  * [278668f] New upstream version 1.8.0
  * [8497323] d/patches/: refresh 0301-install_iptables_apply.patch
  * [f6022b6] d/patches/: refresh 0201-660748-iptables_apply_man.patch
  * [de3df70] iptables: merge iptables-nftables-compat package
  * [9e6437c] d/libxtables12.symbols: refresh file
  * [7f8aa9f] debian/patches/series:0301-install_iptables_apply.patch: typo
    sbion

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 27 Sep 2018 13:47:59 +0200

iptables (1.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval (#889649).
  * Cherry-pick [3d13411] by Arturo Borrero Gonzalez to update
    d/iptables.manpages.  (Closes: #889649)

 -- Niels Thykier <niels@thykier.net>  Tue, 07 Aug 2018 09:43:28 +0000

iptables (1.6.2-1) unstable; urgency=medium

  * [a82b926] d/control: update git URLs
  * [5beab31] New upstream version 1.6.2
  * [5f6c1ba] d/patches: drop
    0001-extensions-libxt_hashlimit-fix-64-bit-printf-formats.patch
  * [fc56e84] d/: drop 0102-add_manpages.patch and nfnl_osf.8
  * [8449a67] iptables: bump std-versions to 4.1.3
  * [7929a02] d/control: remove empty paragraph in iptables-nftables-compat
    description

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 02 Feb 2018 19:34:31 +0100

iptables (1.6.1-2ubuntu3) disco; urgency=medium

  * No-change rebuild against latest libnftnl

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Dec 2018 06:14:40 -0500

iptables (1.6.1-2ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest libnftnl

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Nov 2017 21:52:05 -0500

iptables (1.6.1-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Jul 2017 20:08:59 -0700

iptables (1.6.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * [e232f6c] d/control: turn iptables-dev Architecture: any (Closes: #865464)

  [ Arturo Borrero Gonzalez ]
  * [6f63f8c] d/control: make all the -dev packages Multi-Arch: same
  * [d85cd65] d/control: bump std-version to 4.0.0
  * [0ba5cff] d/patches: add
    0001-extensions-libxt_hashlimit-fix-64-bit-printf-formats.patch.
    Thanks to James Cowgill for the patch (Closes: #859775)
  * [ab1785b] iptables: fix ip6tables-apply manpage symlink

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 29 Jun 2017 13:40:27 +0200

iptables (1.6.1-1) unstable; urgency=medium

  * Move from experimental to unstable
  * [445bab4] d/control: maintainer is now the netfilter team

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 19 Jun 2017 11:56:28 +0200

iptables (1.6.1-1~exp1) experimental; urgency=medium

  * [475b9a9] d/: add basic autopkgtests
  * [f1f129d] New upstream version 1.6.1
  * [3464592] d/patches/: refresh 0103-lintian_allows_to.patch
  * [def0a30] d/patches/: refresh 0104-lintian_hyphens.patch
  * [3abd57d] d/patches/: refresh 0301-install_iptables_apply.patch

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 15 Mar 2017 11:03:30 +0100

iptables (1.6.0+snapshot20161117-6ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
  * Dropped changes, included in Debian:
    - Add missing libip[46]tc0 dependencies to their -dev packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2017 16:11:08 -0700

iptables (1.6.0+snapshot20161117-6) unstable; urgency=medium

  * [3db1c4d] d/patches: add
    0001-extensions-libxt_hashlimit-fix-64-bit-printf-formats.patch.
    Thanks to James Cowgill for the patch (Closes: #859775)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 12 Apr 2017 11:41:06 +0200

iptables (1.6.0+snapshot20161117-5) unstable; urgency=medium

  [ Samuel Henrique ]
  * [627e82e] Bump DH level to 10
  * [4a4cc7d] d/control: Remove dh-autoreconf explicit build dep
  * [f40558f] d/rules: Export hardening flag to enable bindnow
  * [a71ad93] d/clean: Create file and add build generated files
  * [b397312] d/control: Better short description for libxtables-dev
  * [c759933] d/iptables.lintian-overrides: Remove file, unused override
  * [2aa3c45] d/control: Point Vcs-* fields to anonscm.debian.org/git

  [ Arturo Borrero Gonzalez ]
  * [280fdc5] d/control: update again VCS URLs

  [ Simon McVittie ]
  * [5579f5d] src:iptables: add symbols files for all libraries
    (Closes: #845309)

  [ Guillem Jover ]
  * [8e4409f] libxtables12: fix Replaces and Breaks relationships
    (Closes: #845800)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 23 Jan 2017 09:13:07 +0100

iptables (1.6.0+snapshot20161117-4) unstable; urgency=medium

  * [7829163] d/control: adjust breaks/replaces to libxtables11
    (Closes: #845278)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 22 Nov 2016 14:56:12 +0100

iptables (1.6.0+snapshot20161117-3) unstable; urgency=medium

  * [21fdc57] libxtables12: breaks and replaces libxtables11 (Closes:
    #845278)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 22 Nov 2016 09:03:38 +0100

iptables (1.6.0+snapshot20161117-2) unstable; urgency=medium

  * [146c602] libxtables: bump from libxtables11 to libxtables12 (Closes:
    #844755)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 21 Nov 2016 09:25:51 +0100

iptables (1.6.0+snapshot20161117-1) unstable; urgency=medium

  * [7b09508] New upstream version 1.6.0+snapshot20161117
  * [0da7ef3] d/control: update std-version to 3.9.8
  * [ea670cc] iptables-nftables-compat: include translate tools

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 17 Nov 2016 11:46:41 +0100

iptables (1.6.0-4) unstable; urgency=medium

  * [95cf06b] d/rules: cleanup file
  * [c9d6bef] d/control: add missing depends from -dev packages to their
    binary match (Closes: #835664)
  * [1879f90] d/control: fix descriptions and long descriptions of
    libip[46]tc
  * [d951a2c] d/control: put myself as Maintainer and use
    'arturo@debian.org' address

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 10 Oct 2016 12:03:13 +0200

iptables (1.6.0-3ubuntu2) yakkety; urgency=medium

  * Add missing libip[46]tc0 dependencies to their -dev packages.
    (Closes: #835664)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 28 Aug 2016 10:12:11 +0200

iptables (1.6.0-3ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1616437); remaining Ubuntu changes:
    - debian/control: add linuxdoc-tools dep
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Aug 2016 12:32:56 +0200

iptables (1.6.0-3) unstable; urgency=medium

  * several changes in this release. To put it short: split packages into
    libiptc, libip4tc, lipip6tc and libxtables-dev, so we no longer require
    the old iptables-dev binary package.
    .
    Also, give to all binary packages Multi-Arch support.
    .
    Another important thing: move libs from /lib to /usr/lib
    .
    Now follows almost all the commits:
    .
  [ Arturo Borrero Gonzalez ]
  * [2a142cc] libxtables11: Section is libs instead of net (Closes:
    #812973)
  * [637406a] iptables: make it Multi-Arch: foreign (Closes: #776041)
  * [4486e87] iptables,iptables-nftables-compat: Suggests kmod (Closes:
    #623865)
  * [e687ad9] manpages: fix typo in manpages (ip6tables-resotre) (Closes:
    #793299)
  * [4b6ae2e] manpages: add xtables-compat.8
  * [1777193] d/control: bump standars to 3.9.7
  * [bf21537] d/rules: disable libipq
  * [9658f74] debian/: finish Multi-Arch support and migrate from /lib to
    /usr/lib
  * [1187751] d/rules: drop override_dh_shlibdeps
  * [246d62f] d/: package split: libiptc and libiptc-dev
  * [56803ca] d/iptables-dev.install: don't ship ip_qeue include
  * [a837415] d/: create libxtables-dev binary package (replacing
    iptables-dev)
  * [ceda689] d/control: bump replaces, breaks and conflicts
  * [2436692] d/control: create iptables-dev as a transitional dummy package
  * [df1759c] d/control: relax Replaces & Breaks from lib packages to iptables
  * [35d0fa9] d/control: libxtables11 is also of Multi-Arch: same
  * [d17226d] d/control: library binary packages are of priority optional
  * [80ee5d2] d/control: iptables-dev doesn't require to Depends on lib packages
  * [2200348] d/: wrap-and-sort

  [ Michael Biebl ]
  * [47e0872] d/: complete libiptc packages split

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 07 Jun 2016 14:58:53 +0200

iptables (1.6.0-2ubuntu3) xenial; urgency=medium

  * Don't ship an empty iptables-nftables-compat package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 15:13:01 +0000

iptables (1.6.0-2ubuntu2) xenial; urgency=medium

  * Multiarchify the libxtables11 package.
  * Move other libraries to the multiarch libdir.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 21:21:05 +0100

iptables (1.6.0-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Feb 2016 21:06:54 +0100

iptables (1.6.0-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 27 Jan 2016 19:07:11 +0100

iptables (1.6.0-1) experimental; urgency=medium

  * [615f9fc] Imported Upstream version 1.6.0
  * [7caa8f4] d/patches/0104-lintian_hyphens.patch: refresh patch
  * [b1d1b79] d/patches/0301-install_iptables_apply.patch: refresh patch
  * [a2adeaf] d/control: update build-deps
  * [0c76237] d/control: Arturo is now Maintainer, Laurence is Uploader
  * [c13773c] d/control: new iptables-nftables-compat binary package
  * [05be2ad] d/control: Maintainer is now the alioth team
  * [569bc44] d/: put arp and bridge modules in iptables-nftables-compat package
  * [90738ae] d/copyright: refresh copyright file
  * [57d17b1] iptables-nftables-compat: include compat tools (links)
  * [4940e7a] d/control: recommends nftables in the iptables-nftables-compat
    package
  * [7814c21] d/control: give more information in the description of
    iptables-nftables-compat
  * [d41dd7d] d/control: bump libxtables10 to libxtables11
  * [81bb804] d/control: the iptables-nftables-compat package depends on
    iptables
  * [a5b4148] d/: wrap-and-sort
  * [d0c6615] d/control: bump standars to 3.9.6
  * [9ae565f] iptables-nftables-compat: link compat manpages to the originals
  * [d0f191f] d/patches: refresh 0101-changelog.patch
  * [ef507da] iptables-nftables-compat: link manpage also for
    xtables-compat-multi
  * [453ee4c] d/control: add Vcs-Git and Vcs-Browser fields
  * [8e52d5b] d/changelog: upload is for experimental rather than unstable

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Fri, 15 Jan 2016 13:23:10 +0100

iptables (1.4.21-2ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols for all architectures.

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Dec 2014 08:10:31 -0800

iptables (1.4.21-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Jun 2014 16:32:50 -0400

iptables (1.4.21-2) unstable; urgency=medium

  * correct _dhopts var to enable autoreconf. Closes: #744968
  * use arch:linux-any. Closes: #745171
  * bump standards version, 3.9.4 to 3.9.5
  * drop extra iptables-apply, fix iptables.install

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 19 May 2014 20:49:01 -0400

iptables (1.4.21-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages
  * Fix --with autoreconf in debian/rules

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Jan 2014 17:20:40 -0500

iptables (1.4.21-1) unstable; urgency=low

  * New upstream release
    + Corrected spurious load_extension errors. Closes: #699537
    + Corrected man page icmp defaults. Closes: #644819
    + Corrected state man page. Closes: #654983
    + Corrected address in hashlimit man page. Closes: #698393
    + Removed syslogd man page references. Closes: #567564
    + Added string match man page hex examples. Closes: #699904
    + Merged 0201-iptables-xml_man_section.patch
    + Merged 0303-extension_cppflags.patch
    + Merged 0401-state-match-display.patch
  * Updated iptables-apply to v1.1. Closes: #580941
  * Use mktemp instead of tmpfile for iptables-apply. Closes: #668582
  * Add iptables-apply info to man pages. Closes: #660748
  * Updated debian/copyright
  * Updated debian/control Description
  * Removed debian/builddir hack and other debian/rules cruft
  * Removed debug info from README.Debian

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 01 Dec 2013 19:48:23 -0500

iptables (1.4.20-2ubuntu1) trusty; urgency=low

  * Re-apply mistakenly dropped delta with Debian:
    - debian/control: add linuxdoc-tools dep, remove libipq references
    - debian/rules: compile with --disable-libipq
    - 9000-howtos.patch: add howtos/ and install them
    - 9002-libxt_recent-Add-support-for-reap-option.patch: Some changes are
      upstream, patch needed for additional reap option checks.
    - debian/iptables.install: install NAT and packetfilter howtos into
      /usr/share/doc
    - debian/iptables-dev.doc-base.netfilter-extensions,
      debian/iptables-dev.doc-base.netfilter-hacking,
      debian/iptables.doc-base.nat, debian/iptables.doc-base.packet-filter:
      add howtos
    - debian/iptables-dev.install: remove usr/share/man/man3 only used with
      libipq manpages

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 23 Oct 2013 19:55:19 -0400

iptables (1.4.20-2) unstable; urgency=low

  * Fixed man page installation so that @PACKAGE_VERSION@ is expanded.
    Reported by Christoph Biedl. Thanks.
    Closes: #712403
  * Fixed iptables-xml manpage mix-up
  * Restored missing connlabel extension

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 17 Aug 2013 09:16:04 -0400

iptables (1.4.20-1) unstable; urgency=low

  * New upstream release
  * added 0401-state-match-display.patch for the missing state match
    display reported by Eugene Berdnikov and fixed by Phil Oester. Thanks.
    Closes: #718810
  * upstream fix addresses concurrent invocation issues reported by
    Lamont Jones. Fixed upstream by Phil Oester and Pablo Neira Ayuso.
    Closes: #710997

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 08 Aug 2013 10:39:54 -0400

iptables (1.4.19.1-1) unstable; urgency=low

  * New upstream release
  * Bumped Standard-Version to 3.9.4

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 20 Jul 2013 17:30:47 -0400

iptables (1.4.18-1.1) unstable; urgency=low

  [ gregor herrmann ]
  * Fix "libipq.h includes non-existing linux/netfilter_ipv4/ip_queue.h":
    ship /usr/include/linux/netfilter_ipv4/ip_queue.h in iptables-dev;
    add Breaks on linux-libc-dev << 3.5
    (Closes: #707535)

  [ Dominic Hargreaves ]
  * Non-maintainer upload

 -- Dominic Hargreaves <dom@earth.li>  Sat, 13 Jul 2013 16:09:01 +0100

iptables (1.4.18-1) unstable; urgency=low

  * New upstream release
  * New package for soname bump: libxtables10

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 24 Mar 2013 17:15:41 -0400

iptables (1.4.16.3-4) unstable; urgency=low

  * Added missing Breaks and Replaces for libxtables9. Thanks all.
    Closes: #692171

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 02 Nov 2012 22:52:47 -0400

iptables (1.4.16.3-3) unstable; urgency=low

  * Added versioned libxtables dependency

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 28 Oct 2012 09:40:00 -0400

iptables (1.4.16.3-2) unstable; urgency=low

  * Moved libxtables into a separate package. Fixes problem with connman
    reported by Jonathan Nieder. Thanks. Closes: #691546
  * Added nfnl_osf and xtables-mutil man page stubs.

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 27 Oct 2012 09:36:56 -0400

iptables (1.4.16.3-1) unstable; urgency=low

  * New upstream release
  * Moved nfnl_osf to /usr/sbin. Fixes lib dependency problem reported
    by Matteo Cortese. Thanks. Closes: #667688

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 19 Oct 2012 12:07:42 -0400

iptables (1.4.14-3) unstable; urgency=low

  * Fixes iptables comment output error reported by Christoph Anton
    Mitterer. Fixed upstream by Pablo Neira Ayuso. Thanks.
    Closes: #679098

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Jul 2012 11:58:38 -0400

iptables (1.4.14-2) unstable; urgency=low

  * Added missing 1.4.13-1.1 NMU fix

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 11 Jun 2012 17:39:35 -0400

iptables (1.4.14-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlanedd@debian.org>  Mon, 11 Jun 2012 17:31:41 -0400

iptables (1.4.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-arch and build-indep targets to BUILD_DIR_TARGETS (closes:
    #666335). Thanks to Lucas Nussbaum for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 22 Apr 2012 15:50:33 +0200

iptables (1.4.13-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 27 Mar 2012 09:35:10 -0400

iptables (1.4.12.2-3) unstable; urgency=low

  * Added CPPFLAGS for extensions to enable hardening. Report and
    patch by Simon Ruderich. Thanks. Closes: #665286

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 22 Mar 2012 18:54:37 -0400

iptables (1.4.12.2-2) unstable; urgency=low

  * Added iptables-xml.1. Resolves issues reported by Thilo Six and
    Helge Kreutzmann. Thanks. Closes: #623112

  * include/linux/types.h refresh adds __aligned_u64. Gleaned from a post
    by Autif Khan. Fixes FTBFS reported by Moritz Muehlenhoff. Thanks.
    Closes: #664066

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 15 Mar 2012 14:03:31 -0400

iptables (1.4.12.2-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 05 Jan 2012 16:30:12 -0500

iptables (1.4.12.1-1) unstable; urgency=low

  * New upstream release
  * Depend on debhelper 9. Allows hardened build flags. Reported by
    Moritz Muehlenhoff. Thanks. Closes: #653737

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 31 Dec 2011 14:04:51 -0500

iptables (1.4.12-1) unstable; urgency=low

  * New upstream release
    + fixes state inversion bug reported by gpe92 Closes: #634769
    + fixes ctorigdstport port number bug reported by Jim Barber.
      Closes: #632804

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 28 Jul 2011 17:17:14 -0400

iptables (1.4.11.1-3) unstable; urgency=low

  * Fixes fragmention inversion reported by Mark Wooding and
    fixed upstream by Jan Englehardt. Thanks. Closes: #632695

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 05 Jul 2011 09:59:28 -0400

iptables (1.4.11.1-2) unstable; urgency=low

  * Bugs reported by Markus Waldeck and fixed upstream by Jan Englehardt.
    Thanks.
    + missing target and match manpage extensions
    + LOG target option parsing

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 21 Jun 2011 14:42:05 -0400

iptables (1.4.11.1-1) unstable; urgency=low

  * New upstream release
  * Upstream fixes by Jan Engelhardt. Thanks.
    + localtz option of time match reported by Damyan Ivanov.
      Closes: #615121
    + segmentation faults on empty source address reported by
      Jussi Judin. Closes: #611990
    + ipv6 TPROXY support requested by martin f krafft.
      Closes: # 529954
    + "can't set policy error" reported by Rob Leslie.
      Closes: #598315
    + formatting issues reported by jdanni. Closes: #429579

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 12 Jun 2011 12:33:47 -0400

iptables (1.4.10-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 29 Oct 2010 12:29:39 -0400

iptables (1.4.9-1) unstable; urgency=low

  * New upstream release
  * remove extra iptables-xml.8. Reported by David Prevot. Thanks.
    Closes: #590619

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 07 Aug 2010 18:24:17 -0400

iptables (1.4.8-3) unstable; urgency=low

  * added missing iptables-xml symlink and man page. Reported by Carl
    FÃ¼rstenberg and others. Closes: #589059

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 16 Jul 2010 16:56:20 -0400

iptables (1.4.8-2) unstable; urgency=low

  * rebuild with clean source tree, Closes: #582448
  * updated upstream changelog to 1.4.8

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 12 Jun 2010 13:26:16 -0400

iptables (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Fixed iptables-apply DEFAULT_FILE variable. Problem reported by
    fixed by StalkR. Thanks. Closes: #582448
  * Added versioned build dependency on libtool. Problem reported by Pawel
    Rozanski and Flavio Silveir. Thanks. Closes: #567066

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 31 May 2010 08:44:28 -0400

iptables (1.4.6-2) unstable; urgency=low

  * corrected debian changelog entry for 1.4.6-1
  * updated upstream changelog. Problem reported by Klaus Ethgen. Thanks.
    Closes: 561236

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 20 Dec 2009 16:09:02 -0500

iptables (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Fixes ignored mask with replace rule. Reported by Hugh McDonald and
    and fixed upstream. Thanks. Closes: #560910
  * Fixes single ip address use with iprange. Reported by  Sergey Kovalev
    and fixed upstream. Thanks. Closes: #547139
  * Fixes TCP MSS clamp documentation. Reported and fixed by Tim Small.
    Added upstream. Thanks. Closes: #551272

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 14 Dec 2009 12:45:24 -0500

iptables (1.4.5-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards Version to 3.8.3
  * Moved to source format 3.0 (quilt)
  * s/macthes/matches/ in iptables(8). Reported by Trent W. Buck and
    fixed upstream. Closes: #539101
  * s/packages/package in iptables-dev descrition. Reported by Pascal
    De Vuyst. Thanks. Closes: #557369
  * Fixed iptables-apply default rule problem reported by StalkR. Fixed
    upstream. Thanks. Closes: #547734

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Nov 2009 16:41:04 -0500

iptables (1.4.4-2) unstable; urgency=low

  * renamed debian/patches to debian/patch to avoid 3.0-quilt-by-default
    bug reports. Closes: #538608
  * Bumped Standards Version to 3.8.2

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 28 Jul 2009 09:16:06 -0400

iptables (1.4.4-1) unstable; urgency=low

  * New upstream release
  * Upstream added Ian Bruce's man page errors fix. Thanks.
    Closes: #531677
  * Upstream added Piotr Lewandowski's iptables(8) typo fix. Thanks.
    Closes: #528457
  * Upstream fixed intraposition vs extraposition deprecation warning.
    Thanks. Closes: #528736
  * Added ip6tables-apply symlinks for martin f krafft. Closes: #524862

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 18 Jun 2009 08:14:55 -0400

iptables (1.4.3.2-2) unstable; urgency=low

  * added iptables dependency to iptables-dev. Reported by Sebastian
    Harl. Thanks. Closes:# 524766

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Apr 2009 14:57:46 -0400

iptables (1.4.3.2-1) unstable; urgency=low

  * New upstream release
  * Fixed negation extrapositoned stuff. Reported by Dr. Markus Waldeck.
    Fixed upstream. Thanks. Closes: #522309

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 06 Apr 2009 14:30:59 -0400

iptables (1.4.3.1-1) unstable; urgency=low

  * New upstream release
  * Fixed sparc64 ULOG problems reported by Andrey Chernomyrdin. Fixed
    upstream. Thanks.  Closes: #232401
  * Fixed sparc64 limit match problem reported by Arno van Amersfoort.
    Fixed upstream. Thanks. Closes: #468170
  * Fixed "Unknown arg %s" problem reported by Guillem Cantallops Ramis.
    Fixed upstream. Thanks.  Closes: #469548
  * Fixed iptables-save output problem reported by Ivan Vilata i Balaguer.
    Fixed upstream. Closes: #514869
  * Fixed iptables-save quoting problem reported by
    =?UTF-8?B?0YHRgtGA0L7QvdC90Lg=?= Closes: #519584.
    Fixed upstream. Thanks. Closes: #519584
  * Fixed ip6tables(1) icmp codes problem reported by Dameon Wagner.
    Fixed upstream. Thanks. Closes: #515752
  * Fixed string match non-null terminator reported by Franck Joncourt.
    Fixed upstream. Thanks. Closes: #513516
  * Added libiptc upstream. Requested by many. Closes: #473533
  * Fixed tcmpss inversion. Patch by Jan Engelhardt. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 27 Mar 2009 17:02:43 -0400

iptables (1.4.2-6) unstable; urgency=high

  * added missing conntrack numeric fix. Reported by Bernhard Miklautz.
    Fixed in upstream git repo. Thanks. Closes: #502548

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 09 Feb 2009 14:31:24 -0500

iptables (1.4.2-5) unstable; urgency=low

  * fixed libxt_multiport man page typo. Reported and patched by
    Marc Fournier. Thanks. Closes: #511891
  * fixed iptables-restore.8 formatting. Reported and patched by
    shaulkarl. Thanks. Closes: #512281
  * fixed libxt_owner spacing. Reported by Dr. Markus Waldeck. Patched
    upstream by Daniel Drake. Thanks. Closes: #512320

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 19 Jan 2009 13:32:05 -0500

iptables (1.4.2-4) unstable; urgency=low

  * fixed debian/rules binary targets. Reported by Philipp Kern.
    Thanks. Closes: #511723
  * fixed debian/rules build and install stamps.

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 13 Jan 2009 19:07:08 -0500

iptables (1.4.2-3) unstable; urgency=low

  * added debian/builddir.mk support
  * corrected 1.4.2-1 changelog entry: 's@moved iptables@&-xml@'.
    Reported by jidanni. Thanks.
  * lintian override left out of 1.4.2-2

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 09 Jan 2009 15:36:33 -0500

iptables (1.4.2-2) unstable; urgency=low

  * lintian cleanups:
    - moved libxtables.so to iptables-dev package
    - added override for libxtables
    - added ${misc:Depends} for debhelper
    - changelog utf8 conversion

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 03 Jan 2009 22:20:58 -0500

iptables (1.4.2-1) unstable; urgency=low

  * New upstream release. Reported by Torsten Werner. Thanks.
    closes: #503229
  * moved iptables-xml from /usr/sbin to /usr/bin. Reported by Alexey
    Feldgendler. Thanks. closes: #509386
  * -multi bins were included in buildd generated packages. Reported
    by Alexey Feldgendler. closes: 509385
  * added missing iptables.xslt. Reported by Carl FÃÂ¼rstenberg. Thanks.
    closes: #501615.

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 02 Jan 2009 17:19:08 -0500

iptables (1.4.1.1-4) unstable; urgency=low

  * removed howtos. closes: #500674

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 30 Sep 2008 12:10:15 -0400

iptables (1.4.1.1-3) unstable; urgency=low

  * added missing libipq. Fixes numerous FTBS reported by Steve Langasek
    and others. Thanks. closes: #494216

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 24 Aug 2008 19:52:26 -0400

iptables (1.4.1.1-2) unstable; urgency=low

  * fixed /bin/dash unnerving in howtos/Makefile. Reported by Daniel
    Schepler. Thanks. closes: #493440

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 02 Aug 2008 19:14:13 -0400

iptables (1.4.1.1-1) unstable; urgency=medium

  * New upstream release
  * removed kernel header dependency, fixed FTBS reported by Lucas
    Nussbaum. Fixed upstream. Thanks. closes: #482502
  * removed all pomng extensions: TARPIT, IPV4OPTSSTRIP and ipv4options
  * changed standards version from 3.7.3 to 3.8.0

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 12 Jul 2008 05:28:33 -0400

iptables (1.4.0-4) unstable; urgency=low

  * fixed FTBFS reported by Lucas Nussbaum. Thanks. sid switched from
    2.6.24 to 2.6.25 kernel header packages. closes: #479930

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 07 May 2008 22:15:18 -0400

iptables (1.4.0-3) unstable; urgency=low

  * removed erroneous libc6-dev dependency, fixes ia64 and aphla builds
  * fixed more hyphenations in man pages
  * added correct copyright notices, reported by Justin Pryzby. Thanks.
    closes: #290185

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 18 Feb 2008 12:26:49 -0500

iptables (1.4.0-2) unstable; urgency=low

  * added missing ipq_set_verdict.3 information. Reported and fixed by
    Luca Bedogni. Thanks. closes: #419650
  * added -tblah segfault fix. Reported and fixed by Michael Spang.
    Thanks. closes: #458042

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 08 Feb 2008 00:08:05 -0500

iptables (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 07 Feb 2008 00:20:34 -0500

iptables (1.3.8.0debian1-1) unstable; urgency=low

  * New upstream release
  * The 1.3.7 and 1.3.8 releases combined fix 35 upstream bugs! Reported
    by Fei Xie and fixed upstream. Thanks. closes: #433990
  * extensions removed upstream: TRACE, ROUTE, connlimit, rpc
  * removed extraneous libselinux linking. Reported and fixed by
    Martin Orr. Thanks. closes: #431180
  * fixed numreous manpage speeling and grammer erors. Reparted and fixd
    all up by A. Costa and aspell and gvim. Thx! closes: #410250 #410252
  * removed patches for stuff fixed upstream: recent-man, hashlimit.man,
    iptables-rename-fix, replace-pad_cdir, svn-2006-10-21

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 28 Jul 2007 19:22:20 -0400

iptables (1.3.6.0debian1-5) unstable; urgency=high

  * cleaned dirty iptables/, fixes diff bloat and compilation problems
    Reported by Jan Wanger. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 22 Nov 2006 22:42:21 -0500

iptables (1.3.6.0debian1-4) unstable; urgency=high

  * fixes errant /etc/{hosts,networks} entry padding. Reported by John
    Darrah and fixed by Pablo Neira Ayuso. Thanks. closes: #398082

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Nov 2006 21:51:18 -0500

iptables (1.3.6.0debian1-3) unstable; urgency=high

  * fixes broken rename-chain option in iptables and ip6tables. Reported
    by Martin Clauss and Simon Natterer. Fixed by Krzysztof Oledzki.
    Thanks. closes: #397012

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  9 Nov 2006 05:58:51 -0500

iptables (1.3.6.0debian1-2) unstable; urgency=low

  * physdev-truncated.man.patch: fixed misssed instance of the error
  * debian/rules: fixed manpage mangling and moved it to scripts/manregex
  * iptables.8: added missing ipt_recent match arguments

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 29 Oct 2006 14:03:13 -0500

iptables (1.3.6.0debian1-1) unstable; urgency=low

  * New upstream release
  * synched with upstream SVN 2006-10-21
    + fixed "wierd" spelling error in iptables.c
    + fixed iptables segfault when given empty --log-prefix
    + adds revision support to ip6tables
    + adds support port range match to libip6t_multiport
    + adds endian annotation types to fix compilation for
      kernels > 2.6.18
  * ipv6 updates in SVN by RÃÂÃÂ©mi Denis-Courmont fixes the ip6tables port
    range bug reported by Alexander Dreweke. Thanks. closes: #329775
  * debian/control: added info about missing kernel extensions
  * bumped standards version to 3.7.2, no changes
  * updated to patch-o-matic-ng-20061021 source
  * updated to kernel 2.6.18 source, closes: #393138
    + renames icmpv6 extension to icmp6
    + adds connbytes, quota and statistic extensions
  * enabled SELinux support and added build dependency on libselinux1-dev
    + adds SECMARK and CONNSECMARK extensions
  * iptables/Rules.make: link shared SE libs with gcc
  * added numerous manpage fixes
  * debian/changelog: missing leading dash, lintian cleanup
  * removed pomng iprange patch, migrated upstream to linux kernel
  * removed weird_character.patch, fixed upstream
  * removed weird_spelling.patch, fixed upsteam in 1.3.6 and SVN
  * removed link_with_gcc.patch, fixed upstream
  * removed esp-test6.patch, fixed upstream
  * removed atomic_t_silly_hack.patch, code moved somewhere or another

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 27 Oct 2006 19:39:57 -0400

iptables (1.3.5.0debian1-1) unstable; urgency=low

  * New upstream release
    + added ipv6 state match support
    + updated IPsec (policy match) support
    + added in-kernel string match support
    + fixed ipv6 owner match
    + read upstream changelog v1.3.4 and v1.3.5 entries for more
  * updated to Linux kernel 2.6.17 source
  * updated to patch-o-matic-ng-20060812 source
  * combined upstream sources into an orig.tar.gz
  * removed build time patching and prep.sh script
  * removed Suggests: iproute
  * removed bzip2 and html2text build dependencies
  * removed ippool, deprecated
  * removed example script directory, unmaintained examples
  * removed README.Debian, too confusing
  * removed debian/iptables.postinst
  * pomng kernel extensions removed upstream: IPMARK, NETLINK, TCPLAG,
    XOR, account, condition, dstlimit, fuzzy, geoip, ip6t_ULOG, ipp2p,
    mport, nth, osf, pool, psd, quota, random, time
  * replaced debian/copyright GPL paste with stubs
  * updated debian/copyright source URLs
  * Thanks for the invaluable help RÃÂÃÂ©mi Denis-Courmont.

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 20 Aug 2006 21:29:33 -0400

iptables (1.3.3-2) unstable; urgency=low

  * added pomng exclude hack to prep.sh
  * excluded pomng's ip_queue_vwmark. Thanks ubuntu.
  * updated README.Debian
  * removed Suggests for ipmasq

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Aug 2005 18:01:31 -0400

iptables (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  4 Aug 2005 22:08:27 -0400

iptables (1.3.2-1) unstable; urgency=low

  * New upstream release
  * removed libipt_physdev.c and libip6t_physdev.c from weird_*.patch

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 24 Jul 2005 21:03:39 -0400

iptables (1.3.1-2) unstable; urgency=low

  * added missing 2.6.12 kernel headers
  * added libip6t_physdev.c to weird_spelling.patch
  * added libip6t_physdev.c to weird_character.patch
  * updated README.Debian, removed dead firewall package names
    and added a disclaimer about such packages, closes: #307934
  * removed iptables-dev's build dependency on iptables, closes: #288193

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Jun 2005 19:15:36 -0400

iptables (1.3.1-1) unstable; urgency=low

  * New upstream release, closes: #299638
  * build with 2.6.12 kernel source and patch-o-matic-ng-20050618
  * hashlimit module added upstream, closes: #312374
  * removed example ppp scripts, closes: #287346

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 18 Jun 2005 20:45:11 -0400

iptables (1.2.11-10) unstable; urgency=medium

  * fixed scripts/prep.sh: patching and patch ordering
  * fixed a bashism reported by Geller Sandor in Bug#283822. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  1 Dec 2004 19:11:34 -0500

iptables (1.2.11-9) unstable; urgency=medium

  * another prep.sh tweak for patch ordering
  * Bug#283721, Policy match save code puts in line feed that makes
    iptables-restore error, reported and fixed by Matthew Grant. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 30 Nov 2004 23:04:01 -0500

iptables (1.2.11-8) unstable; urgency=medium

  * fixed broken atomic_t_silly_hack.patch

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  7 Nov 2004 16:12:22 -0500

iptables (1.2.11-7) unstable; urgency=medium

  * oops, corrected prep.sh for arch specific patches again

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Nov 2004 22:46:20 -0500

iptables (1.2.11-6) unstable; urgency=medium

  * corrected prep.sh so arch specific patches are applied

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Nov 2004 12:22:25 -0500

iptables (1.2.11-5) unstable; urgency=low

  * 1.2.11-3 never really existed, changelog entry removed
  * restored missing all/###-man_pages.patch
  * Closes:#279285, Compile fails - declaration after code, reported and
    fixed by  Kevin Shanahan. Thanks. all/###-libpt_time_struct.patch

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  3 Nov 2004 22:40:26 -0500

iptables (1.2.11-4) unstable; urgency=medium

  * Closes: #219686, CAN-2004-0986, modprobe load error, reported by
    Faheem Mitha, fixed by upstream. Thanks. (modprobe.patch)
  * added missing upstream changelogs

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 31 Oct 2004 18:56:52 -0500

iptables (1.2.11-2) unstable; urgency=low

  * Closes: #263154, upstream fix, corrects segfault on hostnames that
    resolve to multiple IPs. Reported by guillot. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  3 Aug 2004 22:09:55 -0400

iptables (1.2.11-1) unstable; urgency=low

  * new upstream release
    * Closes: #256975, new upstream release
    * Closes: #229892, include man page additions for new extensions
    * Closes: #248605: iptables CONNMARK update
    * Closes: #218837: corrects limit module for sparc64
    * obviates minor_buffer_overflows.patch and 64_32.patch

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Jul 2004 01:04:58 -0400

iptables (1.2.9-10) unstable; urgency=low

  * Closes: #246037, added default logging level to man pages, requested
    by Max Vozeler. Thanks.
  * conslidated all man page patches to 003-man_pages.patch.
  * added 006-64_32.patch, CVS pull, Sparc64 and HPPA makefile clean up
    for 64/32-bit builds. Reported by Igor Genibel. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 15 Jun 2004 20:38:42 -0400

iptables (1.2.9-9) unstable; urgency=low

  * Closes: #248605, s390 FTBS, reported by Andreas Henriksson. Thanks.
    Removed extraneous patch from the s390 directory.

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 15 May 2004 08:07:12 -0400

iptables (1.2.9-8) unstable; urgency=low

  * Closes: #247056, hppa (and s390) FTBFS, reported by Lamont Jones.
    Thanks. Resynced local patches.

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  2 May 2004 22:26:03 -0400

iptables (1.2.9-7) unstable; urgency=low

  * Closes: #246554, debian/rules missing KERNEL_DIR for install target,
    reported by Paul Hampson. Thanks.
  * removed the debian/install kludge for the brain flub noted above
  * removed owner module support for version 2.4.19 and lower kernels
  * removed dead code from examples/oldinitscript and corrected logical
    errors, some discovered by by Adam Heath. Thanks.
  * updated kernel source to 2.4.26

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  1 May 2004 07:25:19 -0400

iptables (1.2.9-6) unstable; urgency=low

  * updated iptable's description in debian/control
  * renamed local patches and updated descriptions in README
  * added 002-weird_character.patch to accept dashes in interface names.
    This problem has been reported numerous times over the years.
  * updated 001-spell_weird.patch to include libipt_physdev.c
  * altered prep.sh to check build/stamp/prep
  * fixed this changelog, which was doubled at some point
  * updated doc-base files

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 13 Mar 2004 13:33:33 -0500

iptables (1.2.9-5) unstable; urgency=low

  * added 005-atomic_t_silly_hack.patch for hppa and s390. Explicitly
    declare atomic_t typedef in ip_conntrack_icmp.h.  FTBFS reported by
    Lamont Jones. Thanks. (see: #232418)
  * updated to kernel 2.4.25 headers
  * removed failed ip6tables owner module detection

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 29 Feb 2004 09:24:44 -0500

iptables (1.2.9-4) unstable; urgency=low

  * added Suggests: iproute
  * updated package descriptions
  * removed iptables 1.2.9rc1 changelog
  * updated patch-o-matic to 20031219
  * updated kernel headers to 2.4.24
  * added patches/004-minor_buffer_overflows.patch

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 10 Feb 2004 20:08:55 -0500

iptables (1.2.9-3) unstable; urgency=low

  * removed include/libulog/. Reported by rv@eychenne.org. Thanks.
    (closes: #226740)
  * updated toplevel README
  * added linux kernel copyright info to debian/copyright

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Jan 2004 18:21:29 -0500

iptables (1.2.9-2) unstable; urgency=low

  * updated README.Debian
  * added ip6tables owner module detection
  * removed debian/iptables.prerm
  * added linux kenel source 2.4.23
  * removed linux kernel sources: 2.4.20 2.4.20 2.6.0-test9

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 30 Dec 2003 14:55:40 -0500

iptables (1.2.9-1) unstable; urgency=low

  * new upstream release, 1.2.9 final
  * removed local physdev patch, corrected upstream
  * dropped p-o-m connbytes
  * updated ppp example scripts from Kiryanov Vasiliy. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  2 Nov 2003 20:53:31 -0500

iptables (1.2.9-0rc1+1) unstable; urgency=low

  * this is a test upload
  * new upstream release
  * removed local ROUTE patch, corrected upstream
  * added local physdev patch, see Bug#207954

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 27 Oct 2003 16:17:11 -0500

iptables (1.2.8-8) unstable; urgency=low

  * corrected distro

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Oct 2003 14:32:49 -0400

iptables (1.2.8-7) unstable; urgency=low

  * corrected control file for priority and kernel versions, again

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Oct 2003 09:03:36 -0400

iptables (1.2.8-6) unstable; urgency=low

  * updated z_owner, thanks to Eddie and Godwin
  * changed Priority to important, Bug#206685

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 18 Oct 2003 16:18:39 -0400

iptables (1.2.8-5) unstable; urgency=low

  * updated z_owner patch to handle 2.6.0-X kernels
  * updated package description, sync'd kerenel versions

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 17 Oct 2003 13:17:37 -0400

iptables (1.2.8-4) unstable; urgency=low

  * added bzip2 build dependecy

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jun 2003 23:41:05 -0400

iptables (1.2.8-3) unstable; urgency=low

  * added bzip2 build dependency

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jun 2003 22:36:30 -0400

iptables (1.2.8-2) unstable; urgency=low

  * added ROUTE target corrections from Cedric de Launois
  * added reduced kernel source archives, netfilter only
  * removed extraneous "the" from iptables.8
  * removed kernel source build dependencies
  * changed all description kernel versions to 2.4.xx
  * rewrote prep.sh

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jun 2003 18:56:36 -0400

iptables (1.2.8-1) unstable; urgency=low

  * New upstream release
  * update to patch-o-matic-20030107
  * added Kiryanov Vasiliy's ppp example scripts
  * removed 000-iptables-1.2.7a-tcpmss.patch, corrected upstream

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 30 May 2003 06:10:01 -0400

iptables (1.2.7-12) unstable; urgency=low

  * moved iptables-dev to section devel
  * removed owner module information from README.Debian
  * restored local lintian overrides

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 23 Mar 2003 04:22:56 -0500

iptables (1.2.7-11) unstable; urgency=low

  * added Goswin Brederlow's owner module detection patch
  * removed owner module alternatives

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 22 Mar 2003 12:58:03 -0500

iptables (1.2.7-10) unstable; urgency=low

  * use kernel-source-2.4.20 instead of kernel-headers-2.4.20

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  5 Feb 2003 04:07:14 -0500

iptables (1.2.7-9) unstable; urgency=low

  * added a temporary ugly hack for Bug #171167, alternate owner
    plug-in for 2.4.20+ kernels. See README.Debian for details.

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 26 Jan 2003 15:17:23 -0500

iptables (1.2.7-8) unstable; urgency=low

  * corrected -dev include dirs
  * removed init.d, /var/lib/iptables, and debconf-ization
  * added Suggests: ipmasq
  * rewrote README.Debian

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Dec 2002 14:31:40 -0500

iptables (1.2.7-7) unstable; urgency=low

  * Provide HOWTOs in English. Oops.
  * cosmetic bug in initd_{auto,}save, s/iptables/\$iptables_command/
  * prime the pump in the init.d with "ip{6}tables -nL"
  * remove leading space in debconf template

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Sep 2002 21:28:28 -0400

iptables (1.2.7-6) unstable; urgency=low

  * init.d script $libdir correction, Bug#160646
  * created libip{6,}tables.a for iptables-dev, Bug#160490

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 12 Sep 2002 13:54:40 -0400

iptables (1.2.7-5) unstable; urgency=low

  * blah, correct Maintainer and Standards Version

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  8 Sep 2002 00:44:10 -0400

iptables (1.2.7-4) unstable; urgency=low

  * let's try uploading the correct packages

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Sep 2002 23:50:58 -0400

iptables (1.2.7-3) unstable; urgency=low

  * changed topdir Makefile, default to cat README
  * corrected debian/*.install and dh_install* calls

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  7 Sep 2002 22:56:39 -0400

iptables (1.2.7-2) unstable; urgency=low

  * init.d, remove errant debugging enable_ipv6=true

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  6 Sep 2002 23:53:25 -0400

iptables (1.2.7-1) unstable; urgency=low

  * added wacky source+patch build system
  * updated to debhelper 4
  * init.d, dropped iptables_command variable, added enable_ipv6 variable
  * added --mss port/range fix

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  6 Sep 2002 06:33:07 -0400

iptables (1.2.6a-6) unstable; urgency=low

  * debian/iptables.init:
    * initd_save: s/Savinging/Saving/, #148284
    * init_load and initd_save: abort missing <ruleset> gracefully
    * added initd_abort
    * s/$@/$*/g parameter change
    * corrected sed call problem, #149241

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  6 Jun 2002 23:57:59 -0400

iptables (1.2.6a-5) unstable; urgency=high

  * removed ownercmd patch, closes: 142649
  * removed postinst init.d call, closes: 142791
  * corrected source URIs in copyright

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 14 Apr 2002 10:44:57 -0400

iptables (1.2.6a-4) unstable; urgency=high

  * removed MARK_operations patch, severe breakage

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  8 Apr 2002 22:41:32 -0400

iptables (1.2.6a-3) unstable; urgency=high

  * posinst: merged in missing bits from 1.2.5-x and remove bogus "/1"
  * undo MARK and REJECT changes, severe breakage

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  3 Apr 2002 14:38:12 -0500

iptables (1.2.6a-2) unstable; urgency=low

  * corrected typo and bug in initd_autosave()

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  1 Apr 2002 06:38:01 -0500

iptables (1.2.6a-1) unstable; urgency=medium

  * New upstream release, closes: 140202
  * upstream man page update, closes: 137933
  * upstream SEGV fix, closes: 134518
  * new init.d setup, changes:
    * {en,dis}able via debconf rc.d symlink management, closes: 139282
    * deprecated "save_active" and "save_inactive"
    * accept "load <ruleset>" instead of "[ruleset name]"
    * added uniform policy compliant output, closes: 140400
    * removed init.d clear from dev scripts, closes: 139102
    * deprecated enable_iptables_initd and iptables_prerm_default
  * replaced README.Debian
  * chmod /etc/default/iptables 0644, closes: 1.2.73
  * build depend on kernel 2.4.18 source
  * adjusted update-rc.d runlevels, closes: 140428
  * updated pom patch handling, more extension modules, closes: 117536
  * removed debian/ip6tables*.8

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 31 Mar 2002 22:54:25 -0500

iptables (1.2.5-7) unstable; urgency=low

  * iptables.c: upstream patch for proto_num segfault
  * init.d, shut down rc.d change from K10 to K90, closes: #135599

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  1 Mar 2002 15:59:23 -0500

iptables (1.2.5-6) unstable; urgency=low

  * removed extraneous -e in echo call, closes: #133838

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 14 Feb 2002 13:28:06 -0500

iptables (1.2.5-5) unstable; urgency=low

  * diginix inspired most-of-pom build
  * debian/control: Build-Depends + kernel-source-2.4.17
  * debian/control: corrected section override disparity warning
  * init.d adjustments, increased verbosity, warn for no active/inactive

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 13 Feb 2002 12:49:12 -0500

iptables (1.2.5-4) unstable; urgency=low

  * /etc/default/iptables was still confusing people

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  7 Feb 2002 13:04:41 -0500

iptables (1.2.5-3) unstable; urgency=low

  * use explicit init.d variable defaults, closes: #132464

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  5 Feb 2002 11:23:58 -0500

iptables (1.2.5-2) unstable; urgency=low

  * used a silver bullet on /var/state/iptables/, closes: #130710
  * default to 'nothing' instead of halt before start/stop in init.d
    because halt effectively disables all IP traffic.
  * allow saved ruleset filenames as init.d arguments, load the ruleset
  * Added text to disavow any sense of security afforded by merely
    installing the iptables package. iptables a tool that can be used
    to configure firewalls, among other things. The package is most
    defintely not a one-stop-system-security-solution. closes: #130729
  * updated README and descriptions (control)
  * added netfilter-extensions and netfilter-hacking HOWTOs
  * resurrected ip6tables-{sav,restor}e.8 from an older package

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  2 Feb 2002 23:44:14 -0500

iptables (1.2.5-1) unstable; urgency=low

  * new upstream release
  * moved /var/state/iptables to /var/lib/iptables, closes: #130337
  * moved state dir definitions from default/iptables to init.d/iptables
  * corrected autosave behavior

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 23 Jan 2002 13:36:58 -0500

iptables (1.2.4-4) unstable; urgency=low

  * official upload with new init.d setup

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 20 Jan 2002 19:24:43 -0500

iptables (1.2.4-3.2) unstable; urgency=low

  * added optional ip6tables support init.d
  * changed prerm script init.d call default from "nothing" to "clear"
  * adjust file permissions on "default" file and state dir in postinst

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 17 Jan 2002 20:58:00 -0500

iptables (1.2.4-3.1) unstable; urgency=low

  * README.Debian update
  * debian/rules: remove dh_testroot from clean target
  * s/wierd/weird/ in ip{,6}tables.c, see Bug #102771
  * indicate -C option not available in manpage/help, see Bug #108199
  * added init.d script

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 15 Jan 2002 19:10:12 -0500

iptables (1.2.4-3) unstable; urgency=low

  * gcc linking patch by LaMont Jones
  * Debian README update

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 13 Dec 2001 07:47:48 -0500

iptables (1.2.4-2) unstable; urgency=low

  * corrected upstream changelog compilation
  * debian/control: corrected Sections

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Nov 2001 00:46:03 -0500

iptables (1.2.4-1) unstable; urgency=low

  * new upstream version

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  1 Nov 2001 11:19:05 -0500

iptables (1.2.3-2) unstable; urgency=low

  * Everett Coleman II's <gcc80x86@colemanTECH.tzo.com>
    string_to_number() correction for libipt_TOS.c

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 22 Sep 2001 14:10:45 -0400

iptables (1.2.3-1) unstable; urgency=low

  * new upstream version
  * debian/changelog: removed emacs mode settings
  * added /usr/share/doc/iptables/changelog.gz
  * Olivier Baudron's <Olivier.Baudron@ens.fr> string_to_number() /
    --log-level corrections for iptables.c, libip6t_LOG.c, and
    libip6t_length.c

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  4 Sep 2001 10:41:29 -0400

iptables (1.2.2-10) unstable; urgency=low

  * ip6tables.c: correct IP6T_LIB_DIR path

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 13 Aug 2001 07:01:15 -0400

iptables (1.2.2-9) unstable; urgency=low

  * debian/rules: extraneous MAKE caused build failures on some archs

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 11 Aug 2001 16:47:07 -0400

iptables (1.2.2-8) unstable; urgency=low

  * debian/rules: move EXTRA_VARS to correct KERNEL_DIR build failures

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 10 Aug 2001 10:23:03 -0400

iptables (1.2.2-7) unstable; urgency=low

  * Makefile: set LIBDIR and BINDIR
  * ip6tables.c: set IP6T_LIB_DIR

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  8 Aug 2001 04:47:56 -0400

iptables (1.2.2-6) unstable; urgency=low

  * replace HTML guides with sgml2html (linuxdoc-tools) processed SGML,
    closes: #107872
  * debian/changelog: updated source location, author names, et cetera
  * debian/rules: s/EXTRAVARS/EXTRA_VARS/g

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  6 Aug 2001 22:58:22 -0400

iptables (1.2.2-5) unstable; urgency=low

  * debian/rules:
    * set $(EXTRAVARS) on command line before $(MAKE) (corrects
      all variable settings, including LIBDIR, closes: #107839)
    * use find/xarg in clean target to remove *.{a,o,so}

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  6 Aug 2001 19:22:42 -0400

iptables (1.2.2-4) unstable; urgency=low

  * debian/control: updated package descriptions and upgrade standards
    version to 3.5.6.0
  * restore original Makefile, all target and evironment variable hacks
    moved to debian/rules
  * reverted to libc6-dev kernel headers (unresolved issues here)
  * 1.2.2-3 changelog updates:
    * REJECT.c: CVS code corrects reject-with output (#99728, #105271)
    * iptables.8: CVS code corrects man page formatting (#97079)
    * debian/control: Build-Depend on kernel-headers-2.4.7
    * debian/rules: remove object files with the clean target and use
      kernel-headers-2.4.7 for KERNEL headers
    * enabled libipq build

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  3 Aug 2001 20:41:13 -0400

iptables (1.2.2-3) unstable; urgency=low

  * debian/rules: converted from debmake to debhelper
  * applied fixes from CVS tree, closes: #99728, #97079, #105271
  * added iptables-dev package, closes: #106689, #101493
  * README.Debian: update

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 31 Jul 2001 22:45:45 -0400

iptables (1.2.2-2) unstable; urgency=low

  * removed debian/rules bash expansions, Closes: #98794

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 26 May 2001 12:26:55 -0400

iptables (1.2.2-1) unstable; urgency=low

  * new upstream version

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 11 May 2001 14:02:25 -0400

iptables (1.2.1a-2) unstable; urgency=low

  * restore ip6tables, patch provided by Marc Martinez

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 25 Apr 2001 00:05:26 -0400

iptables (1.2.1a-1) unstable; urgency=low

  * new upstream release and enabled save/restore, Closes: #94211

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 19 Apr 2001 21:02:20 -0400

iptables (1.2.1-1) unstable; urgency=low

  * new upstream release, Closes: #85318
  * removed symlinks to bins
  * applied debian/patch-ULOG (minor build issue)

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 16 Mar 2001 16:37:27 -0500

iptables (1.2-10) unstable; urgency=low

  * bins and libs moved from /usr to /, provided symlinks, Closes: #89529
  * added lintian overrides for shared-lib-without-dependency-information

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 14 Mar 2001 04:24:47 -0500

iptables (1.2-9) unstable; urgency=low

  * change to libc6's kernel 2.4 headers so sparc can build

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  7 Mar 2001 13:04:14 -0500

iptables (1.2.7) unstable; urgency=low

  * --rename-chain correction by sfrost@debian.org, closes: #84275
  * debian/rules custom KERNEL_DIR example, closes: #86617

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 19 Feb 2001 10:11:16 -0500

iptables (1.2-7) unstable; urgency=low

  * Build-Depend on kernel-headers-2.4.0-test11, closes: #85871

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 17 Feb 2001 07:44:46 -0500

iptables (1.2-6) unstable; urgency=low

  * Corrected modprobe call, closes: #85299

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  8 Feb 2001 22:33:09 -0500

iptables (1.2-5) unstable; urgency=low

  * Added Build-Depends, closes #84764

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  4 Feb 2001 11:46:44 -0500

iptables (1.2-4) unstable; urgency=low

  * Recompiled without patch-o-matic headers (closes: #81902)

 -- Laurence J. Lane <ljlane@debian.org>  Thu, 11 Jan 2001 07:03:38 -0500

iptables (1.2-3) unstable; urgency=low

  * Corrected ip6tables lib path (closes: #81403)
  * Added temporary ip6tables.8.gz

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  9 Jan 2001 19:59:40 -0500

iptables (1.2-2) unstable; urgency=low

  * Removed iptables-{save,restore}.8
  * Corrected orig.tar.gz source upload

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  9 Jan 2001 08:28:55 -0500

iptables (1.2-1) unstable; urgency=low

  * New maintainer
  * Enabled ip6tables build

 -- Laurence J. Lane <ljlane@debian.org>  Mon,  8 Jan 2001 19:51:02 -0500

iptables (1.1.2-1.0) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 14 Oct 2000 13:15:34 -0400

iptables (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Bypass kernel patch checks in Makefile, see Bug#67397

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  5 Oct 2000 17:34:53 -0400

iptables (1.1.1-1.0) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
  * Added Packet Filtering and NAT HOWTOs

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 15 Jul 2000 22:44:17 -0400

iptables (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <christoph@lameter.com>  Sun, 14 May 2000 12:09:55 -0700

iptables (1.0.0-3) unstable; urgency=low

  * Remove Makefile.orig (closes: #63434)

 -- Christoph Lameter <christoph@lameter.com>  Wed,  3 May 2000 11:23:33 -0700

iptables (1.0.0-2) unstable; urgency=low

  * make distclean rather than make clean in debian/rules to wipe out
    platform specific dependendies before shipping source. (closes: #62967)

 -- Christoph Lameter <christoph@lameter.com>  Mon, 24 Apr 2000 12:12:39 -0700

iptables (1.0.0-1) unstable; urgency=low

  * Added some more docs.
  * Rewrote copyright file
  * Upstream final 1.0.0 release.

 -- Christoph Lameter <christoph@lameter.com>  Sun, 26 Mar 2000 19:19:19 -0800

iptables (1.0.0alpha-1) unstable; urgency=low

  * Initial release.

 -- Christoph Lameter <christoph@lameter.com>  Sun, 26 Mar 2000 18:49:18 -0800

